[arch-commits] Commit in fvwm/trunk (ChangeLog PKGBUILD)

Eric Bélanger eric at archlinux.org
Thu Jun 18 16:20:03 EDT 2009


    Date: Thursday, June 18, 2009 @ 16:20:03
  Author: eric
Revision: 42788

upgpkg: fvwm 2.4.20-4
    Rebuilt against readline 6.0.00, Added ChangeLog

Added:
  fvwm/trunk/ChangeLog
Modified:
  fvwm/trunk/PKGBUILD

-----------+
 ChangeLog |    5 +++++
 PKGBUILD  |   19 ++++++++-----------
 2 files changed, 13 insertions(+), 11 deletions(-)

Added: ChangeLog
===================================================================
--- ChangeLog	                        (rev 0)
+++ ChangeLog	2009-06-18 20:20:03 UTC (rev 42788)
@@ -0,0 +1,5 @@
+2009-06-18  Eric Belanger  <eric at archlinux.org>
+
+	* fvwm 2.4.20-4
+	* Rebuilt against readline 6.0.00
+	* Added ChangeLog

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-18 20:17:52 UTC (rev 42787)
+++ PKGBUILD	2009-06-18 20:20:03 UTC (rev 42788)
@@ -4,25 +4,22 @@
 
 pkgname=fvwm
 pkgver=2.4.20
-pkgrel=3
+pkgrel=4
 pkgdesc="A multiple large virtual desktop window manager originally derived from twm"
 arch=('i686' 'x86_64')
 url="http://www.fvwm.org"
 license=('GPL' 'custom')
-depends=('readline' 'libxpm' 'libxinerama' 'gtk' 'imlib' 'libstroke')
+depends=('readline>=6.0.00' 'libxpm' 'libxinerama' 'gtk' 'imlib' 'libstroke')
 conflicts=('fvwm-devel')
-source=(ftp://ftp.fvwm.org/pub/fvwm/version-2/$pkgname-$pkgver.tar.gz fvwm2.desktop)
+source=(ftp://ftp.fvwm.org/pub/fvwm/version-2/${pkgname}-${pkgver}.tar.gz fvwm2.desktop)
 md5sums=('3ac10558411c896f3afba285697cf42c' 'e52a6ef25a936dcf3ad0e58f2e9ed0ea')
 sha1sums=('2130a16590462cbbf15f255a46abe8b8a6cb4401' 'e0924164329e7eb14e0d6137d8ff18cf6230191c')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr --libexecdir=/usr/lib --with-stroke
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  ./configure --prefix=/usr --libexecdir=/usr/lib --with-stroke || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
-  install -D -m644 ../fvwm2.desktop $startdir/pkg/etc/X11/sessions/fvwm2.desktop
-
-  #install license
-  install -D -m0644 $startdir/src/fvwm-${pkgver}/COPYING \
-                    $startdir/pkg/usr/share/licenses/${pkgname}/COPYING
+  make DESTDIR="${pkgdir}" install || return 1
+  install -D -m644 ../fvwm2.desktop "${pkgdir}/etc/X11/sessions/fvwm2.desktop" || return 1
+  install -D -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/COPYING" || return 1
 }



More information about the arch-commits mailing list